WEB开发网
开发学院操作系统CentOS MySQL数据库到5.1 centos5.3 阅读

MySQL数据库到5.1 centos5.3

 2010-06-02 15:53:00 来源:WEB开发网   
核心提示:以下的文章主要是介绍升级PHP到5.2,MySQL数据库到5.1 centos5.3 ,MySQL数据库到5.1 centos5.3,centos5.4安装webmin默认的为 MySQL 5.0,php5.1 我需要升级到MySQL5.1和php5.2(禁止php5.3),的实际操作步骤,yum-allowdown

以下的文章主要是介绍升级PHP到5.2,MySQL数据库到5.1 centos5.3  ,centos5.4安装webmin默认的为 MySQL 5.0,php5.1 我需要升级到MySQL5.1和php5.2(禁止php5.3),的实际操作步骤。

给yum安装rpmforge:

yum list MySQL php 发现都是最新版本了,看来标准的yum源没有更新

  1. wget http://download.fedora.redhat.com/pub/epel/5/i386/epel-release-5-3.noarch.rpm  
  2. wget http://rpms.famillecollet.com/el5.i386/remi-release-5-7.el5.remi.noarch.rpm  
  3. rpm -Uvh remi-release-5-7.el5.remi.noarch.rpm epel-release-5-3.noarch.rpm  
  4. yum --enablerepo=remi list MySQL 

发现可以升级到 MySQL 5.1.44-1.el5.remi

  1. yum --enablerepo=remi update MySQL 

发现需要把php也一并升级到 5.3,

而zend optimizer 目前不支持 Php5.3,于是需要禁止升级php5.3

  1. vi /etc/yum.conf 

最后一行增加

  1. exclude=php*5.3* 

然后再yum --enablerepo=remi update MySQL数据库,就看不到php的升级了

搞定:

  1. [[email protected] backup]# php -v 还是旧的5.1.6  
  2. PHP 5.1.6 (cli) (built: Jan 13 2010 17:13:05)   
  3. Copyright (c) 1997-2006 The PHP Group  
  4. Zend Engine v2.1.0, Copyright (c) 1998-2006 Zend Technologies  
  5. with Zend Extension Manager v1.2.2, Copyright (c) 2003-2007, by Zend Technologies  
  6. with Zend Optimizer v3.3.3, Copyright (c) 1998-2007, by Zend Technologies  
  7. [[email protected] backup]# MySQL -V 升级到5.1.44了  
  8. MySQL Ver 14.14 Distrib 5.1.44, for redhat-linux-gnu (i686) using readline 5.1 

升級MySQL 5.1.41-1之後,請執行下列動作:

(1)將原有的/etc/my.cnf備份,將/etc/my.cnf.rpmnew改 為my.cnf

2)升級table

  1. MySQL_upgrade -p 

(3)自動修復table

  1. MySQLcheck --all-databases --check-upgrade --auto-repair -p 

找到一个yum源,有php5.2

  1. rpm --import http://repo.webtatic.com/yum/RPM-GPG-KEY-webtatic-andy  
  2. wget -P /etc/yum.repos.d/ http://repo.webtatic.com/yum/webtatic.repo  
  3. yum --enablerepo=webtatic list php 

发现有php5.2 和 php5.3可以升级,

OK,我们vi /etc/yum.conf 禁止升级php5.3

  1. vi /etc/yum.conf 

最后一行增加

  1. exclude=php*5.3* 

或者:

  1. yum --enablerepo=webtatic --exclude=php*5.3* list php  
  2. yum --enablerepo=webtatic --exclude=php*5.3* update -y php  
  3. [[email protected] backup]# php -v 升级到5.2.12了,收工!  
  4. PHP 5.2.12 (cli) (built: Dec 17 2009 19:40:56)   
  5. Copyright (c) 1997-2009 The PHP Group  
  6. Zend Engine v2.2.0, Copyright (c) 1998-2009 Zend Technologies  
  7. with Zend Extension Manager v1.2.2, Copyright (c) 2003-2007, by Zend Technologies  
  8. with Zend Optimizer v3.3.3, Copyright (c) 1998-2007, by Zend Technologies  

安装完成后需要安装php-devel和httpd-devel两个组件

  1. yum --enablerepo=webtatic --exclude=php*5.3* install php-devel  
  2. yum --enablerepo=webtatic --exclude=php*5.3* install httpd-devel 

否则,以后会出错。

yum-allowdowngrade 可以降级的插件:

  1. allow downgrade for yum:  
  2. yum install yum-allowdowngrade  
  3. Add a line to yum.conf:  
  4. showdupesfromrepos=1 
  5. After that list all php packages:  
  6. yum list php  
  7. If php 5.2.8 is available, remove new one:  
  8. yum remove php  
  9. and install an old one:  
  10. yum --allow-downgrade install php-5.2.8  

以上的相关内容就是对升级PHP到5.2,MySQL数据库到5.1的介绍,望你能有所收获。

Tags:MySQL 数据库 centos

编辑录入:爽爽 [复制链接] [打 印]
赞助商链接